## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDocumentBuilder.hpp File Reference

Include dependency graph for XalanDocumentBuilder.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- class XalanDocumentBuilder

## Defines

- #define XALANDOCUMENTBUILDER_HEADER_GUARD

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DTDHandler DTDHandlerType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  LexicalHandler LexicalHandlerType

## Functions

- XALAN_DECLARE_XERCES_CLASS (ContentHandler) XALAN_DECLARE_XERCES_CLASS(DTDHandler) XALAN_DECLARE_XERCES_CLASS(LexicalHandler) XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER ContentHandler ContentHandlerType

## Define Documentation

#define XALANDOCUMENTBUILDER_HEADER_GUARD

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DTDHandler DTDHandlerType

typedef XERCES_CPP_NAMESPACE_QUALIFIER LexicalHandler LexicalHandlerType

## Function Documentation

XALAN_DECLARE_XERCES_CLASS ( | ContentHandler )

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.